/*
 * Class WEL_MONITOR_INFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_767 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_767 [] = {0xFF01,1551,766,0xFFFF};
static const EIF_TYPE_INDEX egt_2_767 [] = {0xFF01,766,0xFFFF};
static const EIF_TYPE_INDEX egt_3_767 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_767 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_767 [] = {0xFF01,766,0xFFFF};
static const EIF_TYPE_INDEX egt_6_767 [] = {0xFF01,766,0xFFFF};
static const EIF_TYPE_INDEX egt_7_767 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_767 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_767 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_767 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_767 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_767 [] = {0xFF01,766,0xFFFF};
static const EIF_TYPE_INDEX egt_13_767 [] = {0xFF01,797,0xFFFF};
static const EIF_TYPE_INDEX egt_14_767 [] = {0xFF01,797,0xFFFF};


static const struct desc_info desc_767[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_767), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_767), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_767), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_767), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_767), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_767), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_767), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_767), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_767), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_767), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_767), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_767), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x05FD /*766*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_767), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18004, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_767), 18005, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_767), 18006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 18007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18009, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18011, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18012, 0xFFFFFFFF},
};
void Init767(void)
{
	IDSC(desc_767, 0, 766);
	IDSC(desc_767 + 1, 1, 766);
	IDSC(desc_767 + 32, 791, 766);
	IDSC(desc_767 + 34, 1359, 766);
	IDSC(desc_767 + 44, 1308, 766);
	IDSC(desc_767 + 54, 1331, 766);
}


#ifdef __cplusplus
}
#endif
